Bug 74676

Summary: Placement new does an unnecessary NULL check
Product: WebKit Reporter: Geoffrey Garen <ggaren>
Component: New BugsAssignee: Geoffrey Garen <ggaren>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, japhet, levin+threading, ossy, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
webkit.review.bot: commit-queue-
Patch
none
Patch sam: review+

Description Geoffrey Garen 2011-12-15 19:42:10 PST
Placement new does an unnecessary NULL check
Comment 1 Geoffrey Garen 2011-12-15 21:17:30 PST
Created attachment 119558 [details]
Patch
Comment 2 Gyuyoung Kim 2011-12-15 21:40:24 PST
Comment on attachment 119558 [details]
Patch

Attachment 119558 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/10914532
Comment 3 WebKit Review Bot 2011-12-15 21:53:40 PST
Comment on attachment 119558 [details]
Patch

Attachment 119558 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10903538
Comment 4 Geoffrey Garen 2011-12-15 21:53:40 PST
Created attachment 119563 [details]
Patch
Comment 5 Geoffrey Garen 2011-12-15 23:14:07 PST
Created attachment 119572 [details]
Patch
Comment 6 Mark Hahnenberg 2011-12-16 15:29:27 PST
Comment on attachment 119572 [details]
Patch

LGTM, but I'm not a reviewer yet :-) Just learning the reviewing ropes, so to speak.
Comment 7 Geoffrey Garen 2011-12-19 09:45:24 PST
Committed r103243: <http://trac.webkit.org/changeset/103243>
Comment 8 Csaba Osztrogon√°c 2011-12-19 14:56:48 PST
(In reply to comment #7)
> Committed r103243: <http://trac.webkit.org/changeset/103243>

It broke Qt Win build:
In file included from /ramdisk/qt-windows-32bit-release/build/Source/JavaScriptCore/wtf/ThreadSpecificWin.cpp:23:0:
/ramdisk/qt-windows-32bit-release/build/Source/JavaScriptCore/wtf/ThreadSpecific.h: In member function 'WTF::ThreadSpecific<T>::operator T*()':
/ramdisk/qt-windows-32bit-release/build/Source/JavaScriptCore/wtf/ThreadSpecific.h:256:14: error: 'NotNull' was not declared in this scope
Comment 9 Geoffrey Garen 2011-12-19 17:23:15 PST
Qt build fix: <http://trac.webkit.org/changeset/103287>